# Common

### **Request Header**

| Name                                           | Type   | Description                     |
| ---------------------------------------------- | ------ | ------------------------------- |
| Content-Type<mark style="color:red;">\*</mark> | string | application/json;chartset=UTF-8 |

### **Request Body**

<table><thead><tr><th width="259">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>partner_id<mark style="color:red;">*</mark></td><td>string</td><td>Assigned by Pagsmile</td></tr><tr><td>app_id<mark style="color:red;">*</mark></td><td>string</td><td>Created app's id at dashboard</td></tr><tr><td>timestamp<mark style="color:red;">*</mark></td><td>string</td><td>yyyy-MM-dd HH:mm:ss - Max. 19 chars -</td></tr><tr><td>version<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value 1.0</td></tr><tr><td>language</td><td>string</td><td>default：en</td></tr><tr><td>random_key<mark style="color:red;">*</mark></td><td>string</td><td>AES key Randomly generated, encrypted by Pagsmile RSA public key. When bizData exists, randomKey must exist.</td></tr><tr><td>request_id<mark style="color:red;">*</mark></td><td>string</td><td>Request serial number, globally unique.</td></tr><tr><td>sign_type<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: RSA</td></tr><tr><td>biz_data<mark style="color:red;">*</mark></td><td>obj</td><td><p>Business params</p><p>It need to be encrypted</p></td></tr></tbody></table>

{% hint style="info" %}
biz\_data is business param，other parameters belong to public parameters
{% endhint %}

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data": {},//It need to be decrypted
    "total":1
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}
{% endtabs %}

| Name        | Type        | Description                                                                                     |
| ----------- | ----------- | ----------------------------------------------------------------------------------------------- |
| code        | string      | Code                                                                                            |
| msg         | string      | Message                                                                                         |
| data        | obj or list | <p>Business result</p><p>It need to be decrypted</p>                                            |
| total       | integer     | Business result total                                                                           |
| random\_key | string      | Randomly generated, encrypted by partner RSA public key. When data exists, randomKey must exist |
| sign\_type  | string      | Fixed value: RSA                                                                                |
| app\_id     | string      | Created app's id at Dashboard                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/common.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
